Prefetch Cache
Prefetch specific files into cache for a VoD pull zone
curl -X POST "https://api.5centscdn.com/v2/zones/vod/pull/42/prefetch" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"files": [
"/video/file.mp4",
"/video/clip.mp4"
]
}'
import requests
import json
url = "https://api.5centscdn.com/v2/zones/vod/pull/42/prefetch"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"files": [
"/video/file.mp4",
"/video/clip.mp4"
]
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/zones/vod/pull/42/prefetch", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"files": [
"/video/file.mp4",
"/video/clip.mp4"
]
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"files": [
"/video/file.mp4",
"/video/clip.mp4"
]
}`)
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/zones/vod/pull/42/prefetch", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/zones/vod/pull/42/prefetch')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"files": [
"/video/file.mp4",
"/video/clip.mp4"
]
}'
response = http.request(request)
puts response.body
{
"result": "success",
"purgeId": "1234667788957"
}
POST
/zones/vod/pull/{zoneid}/prefetchPOST
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
path
zoneidinteger
RequiredZone ID
Content-Typestring
RequiredThe media type of the request body
Options: application/json
filesarray
RequiredList of file paths to prefetch into cache.
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Path Parameters
Body
application/json
filesarray
RequiredList of file paths to prefetch into cache.
Example:
["/video/file.mp4","/video/clip.mp4"]Responses
resultstring
Status of the API response.
purgeIdstring
Unique identifier for this operation, returned in the success response and used to look up operation details via the purge history and purge details endpoints.
Was this page helpful?